Jump to content
nicky9499

iCrewLITE tpl error after installation

Recommended Posts

Gday gents,

I'm quite new to skinning so please be patient. Have tried googling for this issue but nothing concrete came up.

Right after install and having setup the config file, this following error is shown at the site's header.

Notice: The template file "/home/singap08/public_html/operations//lib/skins/iCrewLITE/header.tpl" doesn't exist in /home/singap08/public_html/operations/core/classes/TemplateSet.class.php on line 248

operations.singaporevirtualairlines.org

Can someone advise please? Thank you.

Edited by nicky9499

Share this post


Link to post
Share on other sites
2 hours ago, nicky9499 said:

Gday gents,

I'm quite new to skinning so please be patient. Have tried googling for this issue but nothing concrete came up.

Right after install and having setup the config file, this following error is shown at the site's header.


Notice: The template file "/home/singap08/public_html/operations//lib/skins/iCrewLITE/header.tpl" doesn't exist in /home/singap08/public_html/operations/core/classes/TemplateSet.class.php on line 248

operations.singaporevirtualairlines.org

Can someone advise please? Thank you.

Try to see here: https://forum.phpvms.net/topic/26893-about-firecrew3/?tab=comments#comment-136767

Share this post


Link to post
Share on other sites

Hi gio thanks for the reply.

I came across that thread in my search and it doesn't contain any useful information too I'm afraid.

Can you share what steps you took as referenced in this post? 

19 hours ago, gio1961 said:

Hi, the link is this. http://www.airlinevirtual.com/index.php/ According to the skin it was installed incorrectly, references to css files are missing. I wrote to him privately because he didn't write here, now it works

 

Edited by nicky9499

Share this post


Link to post
Share on other sites

As a start....

What version of phpVMS are you using?

What version of PHP?

Where did you download the iCrewLITE skin from... URL?

Chances are the skin is not installed correctly or the skin is not compatible with the phpVMS version you are using.

Share this post


Link to post
Share on other sites

The bottom right says Version 2.1.936. I'm aware there is a 5.x number as well but this is nowhere to be found in the UI so this is the only concrete answer, especially since there are so many other downloads besides the one here.

php 5.6

icrewlite downloaded from the download repository here too.

 

Share this post


Link to post
Share on other sites

I believe iCrewLITE is for phpVMS 5.5.2 and doesn't work in phpVMS 2.1.x

Additionally, you will have issues with phpVMS 2.1.x under PHP 5.6

Search for phpVMS 5.5.2 (Simpilot version by DavidJClark) - or use the updated version 2 available here in the forums or on Github. I would recommend 5.5.2 for now. Lots of skins and addon modules will work with it.

If you already have a lot of data in your database, you will have to move that over to the new install of 5.5.2 - 5.5.2 adds several new tables to the database along with some additional columns for the existing tables from 2.1.x

Share this post


Link to post
Share on other sites
7 hours ago, nicky9499 said:

The bottom right says Version 2.1.936. I'm aware there is a 5.x number as well but this is nowhere to be found in the UI so this is the only concrete answer, especially since there are so many other downloads besides the one here.

php 5.6

icrewlite downloaded from the download repository here too.

 

the 5.5 version of phpvms that you find here :

https://github.com/DavidJClark/phpvms_5.5.x

or this

https://github.com/ProAviaAZ/phpvms_5.5.2.72

Share this post


Link to post
Share on other sites

Thanks all for the replies, I'm starting to get an idea of what went wrong.

Somewhere along the line early on I got the impression that "v2" was just another way of referring to the "old" phpvms 5.5, compared to the "new" 7. Combined with the generally unclear information or general consensus on where exactly one should get the latest files - it seems like everytime some major issue is fixed someone just posts another git link - I ended up with a "v2_master" and "v2_classic" from https://codeload.github.com/nabeelio/phpvms_v2/zip/master

Obviously I will now download 5.5.x from the repository right here, but before I do so can I check with the experts is it ok to upgrade by way of simply overwriting the files on the server or is a clean install necessary?

I do not have much data imported/added yet, only a dozen or so aircraft, schedules and test pilot accounts.

Edited by nicky9499

Share this post


Link to post
Share on other sites

I would start fresh. New install and new database.

As I mentioned, additional tables are added to the DB in 5.5.2 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...